Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.version
Class Version

    java.lang.Object
      com.bea.content.virtual.version.VersionableContent
          com.bea.content.virtual.version.Version

All Implemented Interfaces:
  Serializable

public class Version
extends VersionableContent
implements Serializable

Version maintains information on the verion of a VirtualNode.

See Also:
  Serialized Form

Constructor Summary
`Version(int status, String comment, Property[] properties, String versionName, String modifiedBy, Calendar modifiedDate)`

Method Summary
`String` | `getModifiedBy()` Gets the id of the last user that modified this version.
`Calendar` | `getModifiedDate()` Gets the date this version was last modified.
`String` | `getVersionName()` Gets the name of this version.
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class com.bea.content.virtual.version.VersionableContent
`addProperty, getComment, getProperties, getProperty, getStatus, setComment, setProperties, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(int status,
                   String comment,
                   Property[] properties,
                   String versionName,
                   String modifiedBy,
                   Calendar modifiedDate)

Method Detail

### getModifiedBy

    public String getModifiedBy()

  Gets the id of the last user that modified this version.

### getModifiedDate

    public Calendar getModifiedDate()

  Gets the date this version was last modified.

### getVersionName

    public String getVersionName()

  Gets the name of this version.

### toString

    public String toString()

  Returns the attributes of this Node in a String.

  Overrides:
    `toString` in class `VersionableContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved